Name:      gnome-session
Summary:   Session Management Tools for the GNOME Desktop
Version:   3.30.1
Release:   4
License:   GPLv2+
URL:       http://www.gnome.org
Source0:   http://download.gnome.org/sources/%{name}/3.30/%{name}-%{version}.tar.xz
Patch0001: 0001-check-accelerated-gles-Use-eglGetPlatformDisplay-EXT.patch
Patch0002: 0001-Add-support-for-new-ConfirmedRebootToBootOptions-sig.patch

BuildRequires: meson gcc gettext intltool xmlto usermode libxslt
BuildRequires: pkgconfig(gl) pkgconfig(egl) pkgconfig(glesv2) pkgconfig(gnome-desktop-3.0)
BuildRequires: pkgconfig(gtk+-3.0) pkgconfig(libsystemd) pkgconfig(ice) pkgconfig(json-glib-1.0)
BuildRequires: pkgconfig(sm) pkgconfig(x11) pkgconfig(xau) pkgconfig(xcomposite) pkgconfig(xext)
BuildRequires: pkgconfig(xrender) pkgconfig(xtrans) pkgconfig(xtst)

Requires: gsettings-desktop-schemas >= 0.1.7
Requires: dconf dbus-x11 system-logos control-center-filesystem gnome-shell

Requires: xorg-x11-server-Xorg%{?_isa}
Requires: xorg-x11-server-Xwayland%{?_isa}

Obsoletes: %{name}-xsession = %{version}-%{release}
Provides: %{name}-xsession = %{version}-%{release}
Obsoletes: %{name}-wayland-session = %{version}-%{release}
Provides: %{name}-wayland-session = %{version}-%{release}

%description
This package provides the basic session management tools, ant it  manages a GNOME desktop
or GDM login session.

%package_help

%prep
%autosetup -p1

%build
%meson -Dsession_selector=true -Dsystemd=true -Dsystemd_journal=true
%meson_build

sed -i 's/idm[0-9]\{5,32\}\"/idm123456789123456\"/g' $(find -name %{name}.html)

%install
%meson_install

%find_lang %{name}-3.0

%files -f %{name}-3.0.lang
%license COPYING
%{_bindir}/*
%{_libexecdir}/%{name}*
%{_datadir}/%{name}/
%{_datadir}/glib-2.0/schemas/org.gnome.SessionManager.gschema.xml
%{_datadir}/GConf/gsettings/%{name}.convert
%{_datadir}/xsessions/*
%{_datadir}/wayland-sessions/*

%files help
%doc AUTHORS NEWS README
%doc %{_mandir}/man*/*
%{_datadir}/doc/%{name}/dbus/%{name}.html

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%changelog
* Fri Apr 3 2020 chenli <chenli147@huawei.com> - 3.30.1-4
- modify spec

* Wed Nov 20 2019 caomeng<caomeng5@huawei.com> - 3.30.1-3
- Package init

* Fri Apr 12 2019 gaoyi<gaoyi15@huawei.com> - 3.30.1-2.h1
- Type:bugfix
- ID:NA
- SUG:NA
- DESC:Eliminate differences
